summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build.sh b/build.sh
index 4be3a19..a3eaf77 100755
--- a/build.sh
+++ b/build.sh
@@ -1202,6 +1202,11 @@ do
NOQUIT=1
;;
-o)
+ if [ -n "$BUILT_MODULES_FILE" ]; then
+ echo "The '-o' and '--autoresume' options are mutually exclusive."
+ usage
+ exit 1
+ fi
required_arg $1 $2
shift
RESUME=$1
@@ -1216,6 +1221,11 @@ do
SUDO=$1
;;
--autoresume)
+ if [ -n "$BUILD_ONE" ]; then
+ echo "The '-o' and '--autoresume' options are mutually exclusive."
+ usage
+ exit 1
+ fi
required_arg $1 $2
shift
BUILT_MODULES_FILE=$1